<script setup lang="ts">
  import { ref } from '@vue/reactivity'
  import Router from "../router/index"
  import {useStore} from '@/stores/guests'
  
  var value = ref("");

  var guestsStore = useStore()
  
  function onNextClick() {
    const name = value.value;

    if (!name) return // Do nothing

    if (! guestsStore.guestExist(name)) {
      guestsStore.addGuest(name)
    }

    Router.push({
      name: "greet",
      params: {
        name: name,
      }
    })
  }
</script>

<template>
  <main>
    <div class="container">
      <div class="row">What's your name?</div>
      <div class="row"> 
        <input type="text" v-model="value" class="input" />
      </div>
      <div class="row">
        <a @click.prevent="onNextClick" href="/greeting">Next</a>
      </div>
      <div class="row">
        <router-link to="guests">Guests</router-link>
      </div>
    </div>
  </main>
</template>

<style scoped>
  .container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }
  
  .row {
    flex: 1;
    flex-basis: 100%;
    text-align: center;
    
    padding: 16px;
  }
  
  .input {
    padding: 8px;
    width: 200px;
    font-size: 1.1em;
  }
</style>